gtx/common.hpp File Reference

GLM_GTX_common More...

Go to the source code of this file.

## Functions

template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, bool, Q > | closeBounded (vec< L, T, Q > const &Value, vec< L, T, Q > const &Min, vec< L, T, Q > const &Max)
| Returns whether vector components values are within an interval. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | fmod (vec< L, T, Q > const &v)
| Similar to 'mod' but with a different rounding and integer support. More...
template<typename genType >
GLM_FUNC_DECL genType::bool_type | isdenormal (genType const &x)
| Returns true if x is a denormalized number Numbers whose absolute value is too small to be represented in the normal format are represented in an alternate, denormalized format. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, bool, Q > | openBounded (vec< L, T, Q > const &Value, vec< L, T, Q > const &Min, vec< L, T, Q > const &Max)
| Returns whether vector components values are within an interval. More...

## Detailed Description

GLM_GTX_common

See also
  Core features (dependence)

Definition in file gtx/common.hpp.